<%--List8_6_1.jsp--%>
<%@ page import="java.io.File"%>
<%@ page contentType="text/html;charset=GB2312" language="java" %>
<html>
  <head><title>获取文件的属性</title></head>
  <body>
  <%
      File file=new File("tomcat5.exe");
      out.println("         文件属性测试<br/>");
      out.println("-------------------------------<br/>");
      out.println("文件名字："+file.getName()+"<br/>");
      out.println("是否可读："+file.canRead()+"<br/>");
      out.println("是否可写："+file.canWrite()+"<br/>");
      out.println("是否存在："+file.exists()+"<br/>");
      out.println("绝对路径："+file.getAbsolutePath()+"<br/>");
      out.println("相对路径："+file.getPath()+"<br/>");
      out.println("上一级目录："+file.getParent()+"<br/>");
      out.println("是否为绝对路径："+file.isAbsolute()+"<br/>");
      out.println("是否是目录："+file.isDirectory()+"<br/>");
      out.println("是否是文件："+file.isFile()+"<br/>");
      out.println("是否隐藏文件："+file.isHidden()+"<br/>");
      out.println("最后修改时间："+file.lastModified()+"<br/>");
      out.println("文件长度："+file.length()+"<br/>");
      out.println("-------------------------------");
  %>
  </body>
</html>